Subject: bug#29583: [PATCH] 25.2.50; Allow setting a custom TERM for comint

From: Michael Albinus <[email-masked]>
Date: Tue, 12 Dec 2017 10:16:10 +0100

Allen Li <[email-masked]> writes:

Hi Allen,

> +@vindex comint-terminfo-terminal
> +Emacs sets the @code{TERM} environment variable to a safe value, but
> +this value may not reflect the full features of comint.  For example,
> +color is disabled for some applications that use @code{TERM} to
> +determine if color is supported.  On systems that use terminfo, you
> +can configure @code{comint-terminfo-terminal} to a terminal that is
> +present in your system's terminfo database.

You might mention that some applications will override this. For
example, Tramp will always use `tramp-terminal-type' (which is
"dumb"). This is because Tramp will run into problems if color is enabled.

Btw, environment variables in the Emacs manual are emphazised as @env{TERM}.

Best regards, Michael.